# Interface StackMapFrameInfo.ObjectVerificationTypeInfo

All Superinterfaces:
  `StackMapFrameInfo.VerificationTypeInfo`

Enclosing interface:
  `StackMapFrameInfo`

public static sealed interface StackMapFrameInfo.ObjectVerificationTypeInfo extends StackMapFrameInfo.VerificationTypeInfo
A stack value for an object type. Its `tag` is 7.

See Java Virtual Machine Specification:
  4.7.4 The `StackMapTable` Attribute
Since:
  24

## Field Summary

### Fields declared in interface StackMapFrameInfo.VerificationTypeInfo

`ITEM_DOUBLE, ITEM_FLOAT, ITEM_INTEGER, ITEM_LONG, ITEM_NULL, ITEM_OBJECT, ITEM_TOP, ITEM_UNINITIALIZED, ITEM_UNINITIALIZED_THIS`
Modifier and Type
Field
Description
`static final int`
`ITEM_DOUBLE`
The `tag` for verification type info `DOUBLE`.
`static final int`
`ITEM_FLOAT`
The `tag` for verification type info `FLOAT`.
`static final int`
`ITEM_INTEGER`
The `tag` for verification type info `INTEGER`.
`static final int`
`ITEM_LONG`
The `tag` for verification type info `LONG`.
`static final int`
`ITEM_NULL`
The `tag` for verification type info `NULL`.
`static final int`
`ITEM_OBJECT`
The `tag` for verification type info `OBJECT`.
`static final int`
`ITEM_TOP`
The `tag` for verification type info `TOP`.
`static final int`
`ITEM_UNINITIALIZED`
The `tag` for verification type info `UNINITIALIZED`.
`static final int`
`ITEM_UNINITIALIZED_THIS`
The `tag` for verification type info `UNINITIALIZED_THIS`.

## Method Summary

Modifier and Type
Method
Description
`ClassEntry`
`className()`
Returns the class of the object.
`default ClassDesc`
`classSymbol()`
Returns the class of the object, as a symbolic descriptor.
`static StackMapFrameInfo.ObjectVerificationTypeInfo`
`of(ClassEntry className)`
Returns a new object verification type info.
`static StackMapFrameInfo.ObjectVerificationTypeInfo`
`of(ClassDesc classDesc)`
Returns a new object verification type info.

### Methods declared in interface StackMapFrameInfo.VerificationTypeInfo

`tag`
Modifier and Type
Method
Description
`int`
`tag()`
Returns the tag of the type info.

## Method Details

### of

static StackMapFrameInfo.ObjectVerificationTypeInfo of(ClassEntry className)
Returns a new object verification type info.

Parameters:
  `className` - the class of the object
Returns:
  a new object verification type info

### of

static StackMapFrameInfo.ObjectVerificationTypeInfo of(ClassDesc classDesc)
Returns a new object verification type info.

Parameters:
  `classDesc` - the class of the object
Returns:
  a new object verification type info
Throws:
  `IllegalArgumentException` - if `classDesc` represents a primitive type

### className

ClassEntry className()
Returns the class of the object.

Returns:
  the class of the object

### classSymbol

default ClassDesc classSymbol()
Returns the class of the object, as a symbolic descriptor.

Returns:
  the class of the object, as a symbolic descriptor